; Author:         jgpaiva
;
; Script Function:
;	Detect the current wifi SSID and run .bat files accordingly
;

#NoEnv ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input ; Recommended for new scripts due to its superior speed and reliability.
#singleinstance,force

  gosub,readini

  currentSSID = 

  Run,%A_ScriptDir%/detectSSID.vbs

  FileReadLine,currentSSID,SSID.txt,1

  loop,
  {
    sleep,5000
    
    Run,%A_ScriptDir%/detectSSID.vbs

    FileReadLine,SSID,SSID.txt,1

    if (currentSSID <> SSID){
      currentSSID := SSID

      loop,%NumberOfSSIDs%
      {
        if(currentSSID = SSID%A_Index%)
        {
          action := action%A_index%
          run,%A_ScriptDir%/%Action%
        }
      }
    }
  }
return


ReadIni:
  IfExist,%A_ScriptDir%\%A_ScriptName%.ini
  {
    IniRead,NumberOfSSIDS,%A_ScriptDir%\%A_ScriptName%.ini,Settings,NumberOfSSIDS,Error
    loop,%NumberOfSSIDS%
    {
      IniRead,SSID%A_index%,%A_ScriptDir%\%A_ScriptName%.ini,Settings,SSID%A_index%,Error
      IniRead,Action%A_index%,%A_ScriptDir%\%A_ScriptName%.ini,Settings,Action%A_index%,Error
    }
  }else
    Gosub,iniwrite
  return

iniwrite:
  IniWrite,2,%A_ScriptDir%\%A_ScriptName%.ini,Settings,NumberOfSSIDS
  IniWrite,SOMESSID,%A_ScriptDir%\%A_ScriptName%.ini,Settings,SSID1
  IniWrite,SOMEBATFILE.bat,%A_ScriptDir%\%A_ScriptName%.ini,Settings,Action1
  IniWrite,ANOTHERSSID,%A_ScriptDir%\%A_ScriptName%.ini,Settings,SSID2
  IniWrite,ANOTHERBATFILE.bat,%A_ScriptDir%\%A_ScriptName%.ini,Settings,Action2
  return
